Package com.zfabrik.impl.svnaccess

## Class SvnClientAdapterResource

- java.lang.Object
- - com.zfabrik.resources.provider.Resource
  - - com.zfabrik.impl.svnaccess.SvnClientAdapterResource

-     public class SvnClientAdapterResource
      extends com.zfabrik.resources.provider.Resource

  Svn-Client-Adapter supports javahl and svnkit (commandline is not implemented yet)! This is NOT based on the SVN Client Adapter by tigris.org. This z2 resource uses the JhlClientAdapterFactory for both javahl and svnkit: svnkit provides an own svnkit-javahl implementation with the standard javahl API. So it depends only(!) on the classpath whether the Apache javahl.jar is used (which is a wrapper for the native svn libraries) or whether the svnkit-javahl.jar is used (which delegates all javahl API methods to the java-based svnkit implementation).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SvnClientAdapterResource.Mode` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SvnClientAdapterResource()` |
    `SvnClientAdapterResource​(SvnClientAdapterResource.Mode mode)` | For testing

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `as​(java.lang.Class<T> clz)` | Retrieve a typed representation of the resource.

    - ### Methods inherited from class com.zfabrik.resources.provider.Resource

      `as, handle, init, init, invalidate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnClientAdapterResource

          public SvnClientAdapterResource()

    - #### SvnClientAdapterResource

          public SvnClientAdapterResource​(SvnClientAdapterResource.Mode mode)

      For testing

  - ### Method Detail

    - #### as

          public <T> T as​(java.lang.Class<T> clz)

      Description copied from class: `com.zfabrik.resources.provider.Resource`
      Retrieve a typed representation of the resource.

      Overrides:
        `as` in class `com.zfabrik.resources.provider.Resource`
      Parameters:
        `clz` - expected return type
      Returns:
        the expected return type instance represented by the resource or `null` if the type facade is not supported.